Bug 493541 - [radeon test day] artifacts when playing video with desktop effects enabled
[radeon test day] artifacts when playing video with desktop effects enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 03:48 EDT by Jan Safranek
Modified: 2009-11-06 07:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 07:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot with artifacts (499.48 KB, image/png)
2009-04-02 03:48 EDT, Jan Safranek
no flags Details
Xorg.0.log (64.30 KB, text/plain)
2009-04-03 13:00 EDT, b. nutzer
no flags Details

  None (edit)
Description Jan Safranek 2009-04-02 03:48:17 EDT
Created attachment 337731 [details]
screenshot with artifacts

Description of problem:
I have Lenovo T60 notebook with external LCD attached. When I boot the Radeon test day live cd, enable desktop effects (inc. wobbly windows) and play a video in totem, the video is slow and choppy (I think not every frame is drawn) and when I move the window, I get artefacts - it seems to me like the old window is not being erased. See attached picture.

How reproducible:
Always

Steps to Reproduce:
1. boot the live cd and log in
2. enable desktop effects, including wobbly windows
3. start totem and play a video
4. move the totem window
  
Actual results:
artefacts, choppy video playback

Expected results:
nice and smooth video without artefacts

Additional info:

It might be related to the dualhead configuration. I am running the test in mirror mode, both screens show the same output - just as it boots.

xrandr output:
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 305mm x
228mm
   1400x1050      60.0 +   50.0
   1024x768       60.0*
   800x600        60.3
   640x480        60.0
   0x0             0.0
DVI-0 connected 1024x768+0+0 (normal left inverted right x axis y axis) 338mm x
270mm
   1280x1024      60.0 +   75.0
   1024x768       75.1     60.0*
   800x600        75.0     60.3
   640x480        75.0     60.0
   720x400        70.1
   0x0             0.0

Smolt profile:
http://smolt.fedoraproject.org/show?uuid=pub_982aff34-6a6f-47c8-9782-d07a57c06757+

Ati HW: ATI Technologies Inc Radeon Mobility X1400
Comment 1 b. nutzer 2009-04-03 01:48:55 EDT
same problem with same card, but without multihead.

It works in fullscreen or with effects disabled.

http://www.smolts.org/client/show/pub_1a07862b-a848-4833-825a-c0adca38eef3
Comment 2 Matěj Cepl 2009-04-03 12:03:57 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 b. nutzer 2009-04-03 13:00:01 EDT
Created attachment 338083 [details]
Xorg.0.log

I am using the livecd, so there is no xorg.conf.
Comment 4 Bug Zapper 2009-06-09 09:04:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 b. nutzer 2009-06-09 13:26:24 EDT
it works perfectly with the fedora 11 livecd.

worksforme ;)
Comment 6 Matěj Cepl 2009-11-05 13:24:44 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Jan Safranek 2009-11-06 07:26:25 EST
Works both in Fedora 11 live CD and Fedora 12 Beta live CD.

Note You need to log in before you can comment on or make changes to this bug.